Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::ThreadedSocketAcceptor::AcceptorThreadInfo Struct Reference

Collaboration diagram for FIX::ThreadedSocketAcceptor::AcceptorThreadInfo:
[legend]

List of all members.

## Public Member Functions

| AcceptorThreadInfo (ThreadedSocketAcceptor *pAcceptor, int socket, int port)

## Public Attributes

ThreadedSocketAcceptor * | m_pAcceptor
int | m_socket
int | m_port

## Detailed Description

Definition at line 49 of file ThreadedSocketAcceptor.h.

## Constructor & Destructor Documentation

FIX::ThreadedSocketAcceptor::AcceptorThreadInfo::AcceptorThreadInfo | ( | ThreadedSocketAcceptor * | pAcceptor,
|  | int | socket,
|  | int | port |
| ) |  |  | `[inline]`

Definition at line 51 of file ThreadedSocketAcceptor.h.

    00052     : m_pAcceptor( pAcceptor ), m_socket( socket ), m_port( port ) {}

## Member Data Documentation

ThreadedSocketAcceptor* FIX::ThreadedSocketAcceptor::AcceptorThreadInfo::m_pAcceptor

Definition at line 54 of file ThreadedSocketAcceptor.h.

int FIX::ThreadedSocketAcceptor::AcceptorThreadInfo::m_port

Definition at line 56 of file ThreadedSocketAcceptor.h.

int FIX::ThreadedSocketAcceptor::AcceptorThreadInfo::m_socket

Definition at line 55 of file ThreadedSocketAcceptor.h.

The documentation for this struct was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/ThreadedSocketAcceptor.h